/*
 * This file is part of Quiz-App.
 *
 * Quiz-App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Quiz-App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Quiz-App. If not, see <https://www.gnu.org/licenses/>.
 */
package ch.jaermann.quiz.creater.smartlearn.controller;

import ch.jaermann.quiz.creater.smartlearn.DocumentCreaterSmartLearn;
import ch.jaermann.quiz.model.Question;
import ch.jaermann.quiz.model.Quiz;
import ch.jaermann.quiz.smartlearn.model.TaskBlock;
import lombok.Data;

/**
 * Factory um Fragen im korrekten Format zu erzeugen.<br>
 */
@Data
public abstract class QuestionBuilder {
	
	protected DocumentCreaterSmartLearn doc;
	protected Quiz quiz;

	public QuestionBuilder(DocumentCreaterSmartLearn doc, Quiz quiz) {
		this.doc = doc;
		this.quiz = quiz;
	}

	public abstract TaskBlock create(Question question);
}
