/*
 * This file is part of Quiz-App.
 *
 * Quiz-App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Quiz-App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Quiz-App. If not, see <https://www.gnu.org/licenses/>.
 */
package ch.jaermann.quiz.model;

import lombok.Data;

/**
 * The SingleChoiceQuestion class represents a question with multiple possible answers,
 * where only one answer is correct. <br>
 * 
 * It extends the generic Question class.<br>
 * 
 * This class is used to model questions that have a single correct answer in the quiz application.<br>
 * 
 * Attributes:<br>
 * - id: The unique identifier of the question.<br>
 * - titel: The title of the question.<br>
 * - questionText: The text of the question.<br>
 * - answers: A list of possible answers to the question.<br>
 * - correctAnswer: The correct answer for the question.<br>
 */
@Data
public class SingleChoiceQuestion extends Question {
	
}