
/*
 * This file is part of Quiz-App.
 *
 * Quiz-App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Quiz-App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Quiz-App. If not, see <https://www.gnu.org/licenses/>.
 */package ch.jaermann.quiz.smartlearn.model;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;

import lombok.Data;

@JsonTypeInfo(
		use = JsonTypeInfo.Id.NAME,
		include = JsonTypeInfo.As.PROPERTY,
		property = "type"
		)
@JsonSubTypes({
	@JsonSubTypes.Type(value = CodeAreaBlock.class, name = "code_area_block"),
	@JsonSubTypes.Type(value = CodeBlock.class, name = "code_block"),
	@JsonSubTypes.Type(value = FilesBlock.class, name = "files_block"),
	@JsonSubTypes.Type(value = MatrixChoiceBlock.class, name = "matrix_choice_block"),
	@JsonSubTypes.Type(value = MultipleChoiceBlock.class, name = "multiple_choice_block"),
	@JsonSubTypes.Type(value = QuestionBlock.class),
	@JsonSubTypes.Type(value = RightWrongAssertionBlock.class, name = "right_wrong_assertion_block"),
	@JsonSubTypes.Type(value = RightWrongDontKnowBlock.class, name = "right_wrong_dont_know_block"),
	@JsonSubTypes.Type(value = SequenceBlock.class, name = "sequence_block"),
	@JsonSubTypes.Type(value = SingleChoiceBlock.class, name = "single_choice_block"),
	@JsonSubTypes.Type(value = TextInputBlock.class, name = "text_input_block"),
})
@Data
public abstract class QuestionBlock extends Block {
	private String points; // Warum String?
	private Solution solution; // Wird immer durch die Subklasse ersetzt
	
}