/*
 * This file is part of Quiz-App.
 *
 * Quiz-App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Quiz-App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Quiz-App. If not, see <https://www.gnu.org/licenses/>.
 */
package ch.jaermann.quiz.smartlearn.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;

import lombok.Data;

@JsonTypeInfo(
use = JsonTypeInfo.Id.NAME,
include = JsonTypeInfo.As.PROPERTY,
property = "type"
)
@JsonSubTypes({
@JsonSubTypes.Type(value = SolutionSingleChoiceBlock.class, name="single_choice_answer"),
@JsonSubTypes.Type(value = SolutionRightWrongAssertionAnswer.class, name="right_wrong_assertion_answer"),
@JsonSubTypes.Type(value = SolutionMatrixChoiceAnswer.class, name="matrix_choice_answer"),
@JsonSubTypes.Type(value = SolutionRightWrongDontKnowBlock.class, name="right_wrong_dont_know_answer"),
@JsonSubTypes.Type(value = SolutionTextInputBlock.class, name="text_input_answer"),
@JsonSubTypes.Type(value = SolutionCodeAreaBlock.class, name="code_area_answer"),
@JsonSubTypes.Type(value = SolutionSequenceBlock.class, name="sequence_answer"),
@JsonSubTypes.Type(value = SolutionMultipleChoiceBlock.class, name="multiple_choice_answer"),
})
@Data
abstract class Solution {

	@JsonProperty("import_id")
	private int importId;
}