/*
 * This file is part of Quiz-App.
 *
 * Quiz-App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Quiz-App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Quiz-App. If not, see <https://www.gnu.org/licenses/>.
 */
package ch.jaermann.quiz.smartlearn.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
class TextInputBlock extends QuestionBlock {
	
	@JsonProperty("input_width")
	private String inputWidth;
	
	@JsonProperty("input_type")
	private String inputType;
	
	@JsonProperty("font_family")
	private String fontFamily;
	
	@JsonProperty("is_auto_correctable")
	private boolean isAutoCorrectable;
	
	@JsonProperty("initial_content")
	private String initialContent;
	
	@JsonProperty("max_length")
	private String maxLength;

	private String placeholder;
	private String label;
	private String layout;
	private SolutionTextInputBlock solution;
	
	@JsonProperty("import_id")
	private int importId;
	
	@JsonProperty("control_task_options")
	private ControlTaskOptions controlTaskOptions;// Warum auch immer ... ist immer null

}