package ch.jaermann.quiz;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import ch.jaermann.quiz.model.MultipleChoiceQuestion;
import ch.jaermann.quiz.model.OpenTextQuestion;
import ch.jaermann.quiz.model.Question;
import ch.jaermann.quiz.model.Quiz;
import ch.jaermann.quiz.model.SingleChoiceQuestion;

public class QuizAppTest {

//    private MultipleChoiceReader reader;

//    @BeforeEach
//    public void setup() {
//        reader = new MultipleChoiceReader(new String[0]);
//    }

    @Test
    public void testGenerateIDs() {
        // Create a quiz with questions having IDs 0, 0, 0, 0
        Quiz quiz = new Quiz();

        Question a;
        a=new MultipleChoiceQuestion() ; a.setId(0);quiz.getQuestions().add(a);
        a=new SingleChoiceQuestion();    a.setId(0);quiz.getQuestions().add(a);
        a=new OpenTextQuestion();        a.setId(0);quiz.getQuestions().add(a);
        a=new MultipleChoiceQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new SingleChoiceQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new OpenTextQuestion(); a.setId(0);quiz.getQuestions().add(a);

        // Generate IDs
        Quiz result = QuizApp.generateIDs(quiz);

        // Verify that each question has a unique ID starting from 1
        Assertions.assertEquals(1, result.getQuestions().get(0).getId());
        Assertions.assertEquals(2, result.getQuestions().get(1).getId());
        Assertions.assertEquals(3, result.getQuestions().get(2).getId());
        Assertions.assertEquals(4, result.getQuestions().get(3).getId());
        Assertions.assertEquals(5, result.getQuestions().get(4).getId());
        Assertions.assertEquals(6, result.getQuestions().get(5).getId());
    }

    @Test
    public void testGenerateNewIDs() {
        // Create a quiz with questions having IDs 0, 0, 0, 0
        Quiz quiz = new Quiz();

        Question a;
        a=new MultipleChoiceQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new SingleChoiceQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new OpenTextQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new MultipleChoiceQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new SingleChoiceQuestion(); a.setId(0);quiz.getQuestions().add(a);
        a=new OpenTextQuestion(); a.setId(0);quiz.getQuestions().add(a);

        // Generate new IDs
        Quiz result = QuizApp.generateNewIDs(quiz);

        // Verify that each question has a unique ID starting from 1
        Assertions.assertEquals(1, result.getQuestions().get(0).getId());
        Assertions.assertEquals(2, result.getQuestions().get(1).getId());
        Assertions.assertEquals(3, result.getQuestions().get(2).getId());
        Assertions.assertEquals(4, result.getQuestions().get(3).getId());
        Assertions.assertEquals(5, result.getQuestions().get(4).getId());
        Assertions.assertEquals(6, result.getQuestions().get(5).getId());
    }
}