package ch.jaermann.quiz;

import java.io.File;
import java.io.IOException;
import java.net.URL;

import org.junit.jupiter.api.Test;

import com.fasterxml.jackson.core.exc.StreamReadException;
import com.fasterxml.jackson.databind.DatabindException;
import com.fasterxml.jackson.databind.ObjectMapper;

import ch.jaermann.quiz.model.Answer;
import ch.jaermann.quiz.model.Question;
import ch.jaermann.quiz.model.Quiz;


/**
 * Lesen von Quiz-Dateien. Die Dateien, welche als Fragepool dienen, sollen
 * gelesen werden.
 */
public class ReadQuizFilesTest {
	
//	public static void main(String[] args) throws StreamReadException, DatabindException, IOException {
//		new ReadQuizFilesTest();
//	}
//	
//	public ReadQuizFilesTest() throws StreamReadException, DatabindException, IOException {
//		readSomeGoodFiles();
//	}

	/**
	 * Umfangreiche Tests, um die Quiz Files zu lesen.<br>
	 * @throws StreamReadException
	 * @throws DatabindException
	 * @throws IOException
	 */
	@Test
	public void readSomeGoodFiles() throws StreamReadException, DatabindException, IOException {
		
		URL resource = getClass().getClassLoader().getResource("vorlagen/questions.json");
		System.out.println("reading " + resource.getFile());
		readQuizzFile(resource);
		
		resource = getClass().getClassLoader().getResource("vorlagen/unterrichtUmfragePool.json");
		System.out.println("reading " + resource.getFile());
		readQuizzFile(resource);
	}
	
	public void readQuizzFile(URL resource) throws StreamReadException, DatabindException, IOException {
		ObjectMapper objectMapper = new ObjectMapper();
		
		Quiz quiz;
		quiz = objectMapper.readValue(new File(resource.getFile()), Quiz.class);
		printQuiz(quiz);
	}
	
	public static void printQuiz(Quiz quiz) {
		for (Question question : quiz.getQuestions()) {
			System.out.println("Frage: " + question.getQuestionText());
			System.out.println(question);
			for (Answer answer : question.getAnswers()) {
				System.out.println("Antwort: " + answer.getAnswerText() + ", Punkte: " + answer.getAnswerPoints());
			}
			System.out.println();
		}
    }
	
}